Bug 184365 - Difference between X86_64 FC4 redhat UP and SMP kernels ??
Difference between X86_64 FC4 redhat UP and SMP kernels ??
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-03-08 04:26 EST by Robinson Tiemuqinke
Modified: 2008-01-19 23:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-19 23:40:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robinson Tiemuqinke 2006-03-08 04:26:43 EST
Description of problem:

 The kernel configuration file for X86_64 UP and SMP kernels are exactly the 
same, but then why the kernel compiled are different by 4 bytes?

 can I use the FC4 redhat stock SMP x86_64 kernel on both x86_64 SMP and UP 
machines? since both UP and SMP using the same kernel configuration? If not, 
then what's the possible reasons?

Version-Release number of selected component (if applicable):


How reproducible:

 obvious, a "ls" will find the difference.

Steps to Reproduce:
1. testnode01.example.com user01 136% ls -alF /boot/vmlinuz-2.6.15-1.1831_FC4*
-rw-r--r--  1 root root 1811801 Feb  7 10:47 /boot/vmlinuz-2.6.15-1.1831_FC4
-rw-r--r--  1 root root 1811805 Feb  7 11:01 /boot/vmlinuz-2.6.15-1.1831_FC4smp

Actual results:

Expected results:

Additional info:

 Just like to know how and why redhat compile a same kernel configuration file 
into two different kernel binaries.
Comment 1 Dave Jones 2006-09-16 22:22:24 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 2 Dave Jones 2006-10-16 14:31:46 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Jon Stanley 2008-01-19 23:40:02 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.